package com.fxy.bean;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 项目名称：FingerStorage
 * 类描述：
 * 创建人：admin
 * 创建时间：2018/3/31 15:05
 * 修改人：COMP-021-2006
 * 修改时间：2018/3/31 15:05
 * 修改备注：
 */

public class VideoUrlModel implements Parcelable {
    public String tag = "";
    public String videoUrl = "";

    @Override
    public String toString() {
        return "VideoUrlModel{" +
                "tag='" + tag + '\'' +
                ", videoUrl='" + videoUrl + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.tag);
        dest.writeString(this.videoUrl);
    }

    public VideoUrlModel(String tag, String videoUrl) {
        this.tag = tag;
        this.videoUrl = videoUrl;
    }

    public VideoUrlModel() {
    }

    protected VideoUrlModel(Parcel in) {
        this.tag = in.readString();
        this.videoUrl = in.readString();
    }

    public static final Parcelable.Creator<VideoUrlModel> CREATOR = new Parcelable.Creator<VideoUrlModel>() {
        @Override
        public VideoUrlModel createFromParcel(Parcel source) {
            return new VideoUrlModel(source);
        }

        @Override
        public VideoUrlModel[] newArray(int size) {
            return new VideoUrlModel[size];
        }
    };
}
